/*------------------------------------*\
    #PAGE-BODY
\*------------------------------------*/
/**
 * This is the page body or main section.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-column-main-colspan-small-up: 24;
$inuit-column-main-offset-small-up: 2;
$inuit-column-aside-colspan-small-up: 20;
$inuit-column-aside-offset-small-up: 2;

$inuit-column-main-colspan-medium-up: 20;
$inuit-column-main-offset-medium-up: 1;
$inuit-column-aside-colspan-medium-up: 24;
$inuit-column-aside-offset-medium-up: 1;

$inuit-column-main-colspan-large-up: 16;
$inuit-column-main-offset-large-up: 1;
$inuit-column-aside-colspan-large-up: 4;
$inuit-column-aside-offset-large-up: 0;
$block-grid-default-spacing: rem-calc(20px);

@if $theme == "reloaded" {
    body {
        background: $frs-color-background;
    }
    .#{$inuit-namespace}page--frontpage,
    %#{$inuit-namespace}page--frontpage {
        width:100%;
        margin:0 auto;
        position:relative;
        background:$frs-color-white;
        @media #{$large-up} {
            width:98%;
        }
        @media #{$xlarge-up}{
            width:80%;
            max-width: 1920px;
        }
        .o-gridblock__item {
            &:first-child .o-cms-content {
                float: right;
            }
            .o-cms-content {
                position:relative;
                width:100%;
                //margin-bottom: 150px;
                .o-media__body {
                    position:relative;
                    background:$frs-color-white;
                    width: 75%;
                    display: inline-block;
                    margin: -3rem 13% 0 13%;
                    text-align:center;
                    .o-cms-content__headline {
                        font-size: 1.5rem;
                        text-align: center;
                        margin: 1rem 0.5rem 1rem 0.5rem;
                        @media #{$medium-up} {
                            margin: 1rem 0.5rem 2rem 0.5rem;
                        }
                    }
                    .c-icon__wrapper {
                        display: inline-block;
                        padding: 0 1rem 0 1rem;
                        img {
                            max-width:85px;
                        }
                        @media #{$medium-up} {
                            float: left;
                            margin-right: 0;
                            padding: 0 0 0 2rem;
                        }
                    }
                    .c-icon__wrapper ~ p {
                        padding-right:0.5rem;
                        float:right;
                        clear:right;
                        width:100%;
                        @media #{$medium-up} {
                            width:60%;
                        }
                    }
                    img {
                        width:auto;
                    }
                    a {
                        font-size: 1.1rem;
                        color: $frs-color-grey;
                        @include frs-hover {
                            text-decoration:underline;
                        }
                    }
                    @media #{$medium-up} {
                        text-align:left;
                    }
                }
                @media #{$large-up} {
                    width: 75%;
                }
                .o-media__imageholder:before {
                    content: '';
                    background: -webkit-gradient(linear, left bottom, right top, from(rgba(0,0,0,0.3)), to(rgba(255,255,255,0)));
                    background: -webkit-linear-gradient(bottom, rgba(0,0,0,0.3) 0%, rgba(255,255,255,0) 100%);
                    background: linear-gradient(0deg, rgba(0,0,0,0.3) 0%, rgba(255,255,255,0) 100%);
                    display: block;
                    width: 100%;
                    height: 40%;
                    position: absolute;
                    z-index: 0;
                    bottom:0;
                    opacity:0.5;
                }
            }
        }
    }
}

.#{$inuit-namespace}page-body,
%#{$inuit-namespace}page-body {
    @extend %h-center-page;
    >.o-section {
        overflow: hidden;
    }
}

@if $theme == "reloaded" {
    .#{$inuit-namespace}page-body,
    %#{$inuit-namespace}page-body {
        padding-top:68px;
        @media #{$medium-up} {
            padding-top:150px;
        }
    }
}

.#{$inuit-namespace}page-body__column,
%#{$inuit-namespace}page-body__column {
    /**
     * o-column--main and o-column--aside are supposed to be used
     * on subpages where there is a main and a marginal column.
     */

    &--main {
        @include grid-column(
            $columns: $inuit-column-main-colspan-small-up
        );
        padding-right: 0;

        @media #{$small-up}{
            @include grid-column(
                $columns: $inuit-column-main-colspan-small-up
            );

            padding: 0;
        }

        @media #{$large-up} {
            @include grid-column(
                $columns: 14,
                $push: 6
            );
            padding-right: $frs-grid-unit;
        }

        @media #{$xlarge-up} {
            @include grid-column(
                $columns: $inuit-column-main-colspan-large-up,
                $push: 6
            );
            padding-right: $frs-grid-unit;
        }

        > .o-gridblock--item,
        .o-gridblock__item--full {
            margin-left: 0;
            width: 100%;
        }

        .c-news-slider__list {
            padding: 0;

            @media only screen and (min-width: 64.0625em) {
                .c-news-slider__arrow--next {
                    right: 1.5rem
                }
            }
        }

        .c-news-slider__item {
            width: 90%;
            padding: 0;
            margin-left: 0;
        }

    }

    &--aside {
        @include grid-column(
            $columns: 24
        );

        padding: 0;
        font-size: $inuit-font-size-small;

        .o-cms-content {
            width: 100%;
        }

        .c-menu-share {
            float: none
        }

        .o-gridblock--1column,
        .o-gridblock--2columns,
        .o-gridblock--3columns {
            @include block-grid(
                $per-row: 1,
                $include-spacing: true
            );

            > li {
                padding-bottom: 20px;
            }

            @media #{$large-up} {
                @include block-grid(1);
            }
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            @include inuit-font-size($inuit-heading-size-4, $inuit-heading-lineheight-1);
        }

        .c-teaser__title {
            margin-top: 20px;
        }

        @media #{$medium-up}{
            @include grid-column(
                $columns: 24
            );

            @include frs-grid-offset(0);

            padding: 0;

            .o-cms-content {
                float: left;
                margin-left: 0;
                width: 47.7%;

                &:nth-child(2n+1) {
                    margin-right: 0;
                }
            }
        }

        @media #{$large-up}{
            @include grid-column(
                $columns: 6,
                $pull: 14
            );
            @include frs-grid-offset(0);

            margin-top: 80px;
            padding-left: 0;

            .o-cms-content {
                width: 100%;
                margin-right: 0;
            }
        }

        @media #{$xlarge-up} {
            @include grid-column(
                $pull: 16
            );

            padding-left: 0;
        }
    }

    &--overview {
        @include grid-column(
            $columns: 40
        );
    }
}
@media only screen and (max-width: 46.0625em){
    .c-page-body__column--main .wrapper {
        width: 100% !important;
        margin-left: 0 !important;
    }
}
/**
    *small hack for hidding information in first stage image on page
    **/
.frontpage > section:first-child .c-stage-teaser__content {
    display: none;
}
.c-page-body__column--main .wrapper .right img {
    width: 100% !important;
    max-width: 345px !important;
    height: auto !important;
}
.o-gridblock--3columns.c-teaser-list.grid-normal >li {
    list-style: none;
    padding: 0 0.5882352941rem 1.1764705882rem !important;
    width: 33.3333333333% !important;
    clear: none !important;
}
.o-gridblock--3columns.c-grey >li {
    list-style: none;
    padding: 0 0.5882352941rem 1.1764705882rem;
    width: 33.3333333333%;
    clear: none;
}
.o-gridblock--3columns.c-grey >li.gridblock__item {
    padding:0 2rem;
    border-right:1px solid #dcdcdc;
}
.o-gridblock--3columns.c-grey >li.gridblock__item:last-child {
    border:none !important;
}

@media only screen and (min-width: 40.0625em){
    .flex-middle {
        display: flex;
    }
    .flex-middle .gridblock__item_empty:first-child {
        flex-grow: 1;
    }
    .flex-middle .gridblock__item_empty:last-child {
        flex-grow: 3;
    }
    .flex-middle .gridblock__item_fill {
        min-width: 386px;
        max-width: 386px;
    }

}

.o-cms-content__shopinfo {
    max-width: 220px;
    margin-left: auto;
    margin-right: auto;
}
.o-cms-content__headlinewrap {
    padding-top: 45px;
    margin-bottom: 4px;
}
.o-cms-content__shopinfo .o-cms-content__body {
    background: #f2f2f2;
    padding: 20px;
    text-align: center;
    font-size: 0.9rem;
}
.o-cms-content__shopinfo .shopinfo__headline {
    font-weight: bold;
    text-align: right;
    margin-bottom: 0px;
    font-size: 2.388rem;
    line-height: 0.7;
}
.o-cms-content__headlinewrap {
    background-repeat: no-repeat;
    background-position: left;
    background-size: 93px 78px;
    background-image: url("/typo3conf/ext/drk_template/Resources/Public/Images/svg/DRK-Bedarfe.svg");
}
.o-gridblock--4columns-shopinfo>li:nth-of-type(4n+1) .o-cms-content__shopinfo {
    margin-left: 0;
    margin-right: 0;
}
.o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
    margin-left: 8%;
    margin-right: auto;
}
.o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
    margin-left: 16%;
    margin-right: auto;
}
.o-gridblock--4columns-shopinfo>li:nth-of-type(4n) .o-cms-content__shopinfo {
    margin-left: auto;
    margin-right: 0;
}
.o-gridblock--4columns-shopinfo {
    display: flex;
    justify-content: space-around;
    /*text-align: justify;*/
}
.o-gridblock--4columns-shopinfo::after {
    display: flex;
    justify-content: space-around;
    /*width: 100%; display: inline-block; content: "."; visibility: hidden*/
}
.o-gridblock--4columns-shopinfo li {
    padding-left: 0px !important;
    padding-right: 0px !important;
    /*width: 200px !important;*/
    /*display: inline-block;*/
}
@media screen and (max-width: 1200px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
        margin-left: 7%;
        margin-right: auto;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: 15%;
        margin-right: auto;
    }
}
@media screen and (max-width: 1170px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
        margin-left: 6%;
        margin-right: auto;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: 14%;
        margin-right: auto;
    }
}
@media screen and (max-width: 1140px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
        margin-left: 5%;
        margin-right: auto;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: 12%;
        margin-right: auto;
    }
}
@media screen and (max-width: 1100px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: 10%;
        margin-right: auto;
    }
}
@media screen and (max-width: 1080px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
        margin-left: 4%;
        margin-right: auto;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: 8%;
        margin-right: auto;
    }
}
@media screen and (max-width: 1040px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
        margin-left: 3%;
        margin-right: auto;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: 6%;
        margin-right: auto;
    }
}
@media screen and (max-width: 1000px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
        margin-left: 2%;
        margin-right: auto;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: 4%;
        margin-right: auto;
    }
}
@media screen and (max-width: 980px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
        margin-left: 1.5%;
        margin-right: auto;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: 3%;
        margin-right: auto;
    }
}
@media screen and (max-width: 951px) {
    .o-gridblock--4columns-shopinfo {
        display: block;
        justify-content: space-around;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2) .o-cms-content__shopinfo {
        margin-left: auto;
        margin-right: auto;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3) .o-cms-content__shopinfo {
        margin-left: auto;
        margin-right: 0;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n) {
        float: none;
        clear: both;
        width: 100%;
    }
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n) .o-cms-content__shopinfo {
        margin-left: auto;
        margin-right: auto;
    }
}
@media screen and (max-width: 740px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+1),
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2),
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3),
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n) {
        width: 50%;
        float: left;
        clear: none;
    }
    .o-gridblock--4columns-shopinfo>li .o-cms-content__shopinfo {
        margin-left: auto !important;
        margin-right: auto !important;
    }
    .o-gridblock--3columns.c-teaser-list.grid-normal >li {
        width: 100% !important;
        clear: both !important;
    }
    .o-gridblock .o-gridblock__item--small {
        margin-top:3rem;
    }
}
@media screen and (max-width: 520px) {
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+1),
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+2),
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n+3),
    .o-gridblock--4columns-shopinfo>li:nth-of-type(4n) {
        width: 100%;
        float: none;
        clear: none;
    }
    .o-gridblock--4columns-shopinfo>li .o-cms-content__shopinfo {
        margin-left: auto !important;
        margin-right: auto !important;
    }
}
/* #1405 - Sitemap-Teaser auf iPad verrautscht
		Add CSS - 20170420
*/
@media screen and (max-width: 1024px) and (min-width: 721px) {
    .c-page-body__column--aside .o-cms-content:nth-child(odd) {
        margin-left: auto !important;
    }
    .c-page-body__column--aside .o-cms-content {
        float: none;
        width: 65%;
        margin-left: auto;
        margin-right: auto;
    }
    .c-page-body__column--aside .o-cms-content:nth-child(2n+1) {
        margin-right: auto;
    }
}

.c-page-body .grey-border {
    border-top:1px solid #9e9e9e;
    position:relative;
}
.c-page-body .maphighlight {
    position:relative;
}
.c-page-body .section figure {
    text-align:center;
    padding-bottom:2rem;
}
.c-page-body .section figure img {
    width:100%;
    height:auto;
}
.c-page-body .grey-border .wrapper {
    max-width:1022px;
}
.c-page-body .subrow-1 {
    width:49%;
    float:left;
    text-align:left;
}
.c-page-body .subrow-2 {
    width:49%;
    float:right;
    text-align:left;
}
.c-page-body .subrow-1 ul,
.c-page-body .subrow-2 ul.list {
    list-style-type:disc;
    float:none;
    padding-left:2.5rem;
}
.c-page-body .subrow-2 .infobox ul li {
    width:35%;
    float:left;
}
.c-page-body .subrow-1 ul.facts {
    list-style-type:none;
    padding-left:0;
    padding-bottom: 1.5rem;
}
.c-page-body .subrow-1 ul.facts li {
    min-width:220px;
    width:50%;
    float:left;
}
.c-page-body .section .wrapper {
    max-width:1022px;
}
.c-page-body .section ul.facts {
    padding-bottom:2rem;
}
.c-page-body .section ul.facts li {
    box-sizing: border-box;
    width:25%;
    float:left;
    text-align:center;
    background-color:#f2f2f2;
    padding:0;
    margin:1rem 0.5rem;
    margin-right:8%;
    min-width:235px;
}
.c-page-body .section ul.facts li:nth-child(3n) {
    margin-right:0;
}
.c-page-body .infobox {
    background-color:#fff;
    padding:1rem;
}
.c-page-body .infobox h4 {
    padding:0;
    margin:0;
}
.c-page-body .infobox ul li {
    width:35%;
}
.c-page-body .infobox ul li.large_box {
    width:60%;
}

.alert-nosuccess h3 {
    font-weight:600;
}
.alert-success ul,
.alert-nosuccess ul {
    color:#e46450;
    list-style-type:none;
    margin-bottom:3rem;
}
.alert-success .alert-success {
    color:#59dc55;
    font-size:1.35rem;
    font-weight:600;
}
.alert-success .typo3-messages {
    padding-left:0;
}

.o-cms-content svg.c-menu-social__icon.o-icon-button__icon {
    width:2rem;
    height:2rem;
}
